org.apache.hadoop.service

## Enum Service.STATE

- java.lang.Object
- - java.lang.Enum<Service.STATE>
  - - org.apache.hadoop.service.Service.STATE

- All Implemented Interfaces:
    Serializable, Comparable<Service.STATE>
  Enclosing interface:
    Service

      public static enum Service.STATE
      extends Enum<Service.STATE>

  Service states

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INITED` Initialized but not started or stopped
    `NOTINITED` Constructed but not initialized
    `STARTED` started and not stopped
    `STOPPED` stopped.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Get the integer value of a state
    `String` | `toString()` Get the name of a state
    `static Service.STATE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Service.STATE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOTINITED

          public static final Service.STATE NOTINITED

      Constructed but not initialized

    - #### INITED

          public static final Service.STATE INITED

      Initialized but not started or stopped

    - #### STARTED

          public static final Service.STATE STARTED

      started and not stopped

    - #### STOPPED

          public static final Service.STATE STOPPED

      stopped. No further state transitions are permitted

  - ### Method Detail

    - #### values

          public static Service.STATE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Service.STATE c : Service.STATE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Service.STATE valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Get the integer value of a state
      Returns:
        the numeric value of the state

    - #### toString

          public String toString()

      Get the name of a state
      Overrides:
        `toString` in class `Enum<Service.STATE>`
      Returns:
        the state's name

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.